Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 453854

Summary: Review Request: globus-gsi-proxy-ssl - Globus Toolkit - Globus GSI Proxy SSL Library
Product: [Fedora] Fedora Reporter: Mattias Ellert <mattias.ellert>
Component: Package ReviewAssignee: Orcan Ogetbil <oget.fedora>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, notting, oget.fedora
Target Milestone: ---Flags: oget.fedora: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.5-2.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-27 21:24:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 453847, 453848, 453850    
Bug Blocks: 453815, 453855, 453858, 453862, 453865    

Description Mattias Ellert 2008-07-02 22:14:33 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-gsi-proxy-ssl.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-gsi-proxy-ssl-1.5-0.1.fc9.src.rpm
Description :
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

BuildRequires:  gpt
BuildRequires:  libtool
BuildRequires:  globus-openssl-devel >= 1
BuildRequires:  globus-core-devel >= 4

Comment 2 Mattias Ellert 2008-10-16 14:29:45 UTC
All applied patches submitted upstream:

Fix some doxygen warnings:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6478

Comment 4 Mattias Ellert 2009-01-06 00:47:03 UTC
This package was updated due to the renaming of the GPT package.

SRPM: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gsi-proxy-ssl-1.5-0.3.fc10.src.rpm

SPEC: http://www.grid.tsl.uu.se/repos/globus/info/globus-gsi-proxy-ssl.spec

Comment 5 Mattias Ellert 2009-03-15 23:58:40 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gsi-proxy-ssl-1.5-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-gsi-proxy-ssl.spec

Comment 6 Mattias Ellert 2009-04-17 13:44:01 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gsi-proxy-ssl-1.5-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gsi-proxy-ssl.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 7 Orcan Ogetbil 2009-04-22 01:59:25 UTC
These packages are almost identical so these reviews can go faster than usual.

This one is good too. It builds in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1313748
I checked the built RPMs, there are no issues. There is one tiny thing, which is by no means a blocker:
When you use %{_docdir}/... in %files, you don't need to tag it with %doc. It just doesn't matter. FYI

-------------------------------------------------------
This package (globus-gsi-proxy-ssl) is APPROVED by oget
-------------------------------------------------------

Comment 8 Mattias Ellert 2009-04-22 05:01:28 UTC
Thank you for the review.


New Package CVS Request
=======================
Package Name: globus-gsi-proxy-ssl
Short Description: Globus Toolkit - Globus GSI Proxy SSL Library
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 9 Kevin Fenzi 2009-04-23 16:20:59 UTC
cvs done.

Comment 10 Fedora Update System 2009-04-24 14:21:15 UTC
globus-gsi-proxy-ssl-1.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-gsi-proxy-ssl-1.5-1.fc10

Comment 11 Fedora Update System 2009-04-24 14:21:20 UTC
globus-gsi-proxy-ssl-1.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-gsi-proxy-ssl-1.5-1.fc9

Comment 12 Fedora Update System 2009-04-27 21:24:06 UTC
globus-gsi-proxy-ssl-1.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-04-27 21:35:23 UTC
globus-gsi-proxy-ssl-1.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-05-08 13:55:10 UTC
globus-gsi-proxy-ssl-1.5-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gsi-proxy-ssl-1.5-2.fc11

Comment 15 Fedora Update System 2009-05-12 04:01:01 UTC
globus-gsi-proxy-ssl-1.5-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.